summaryrefslogtreecommitdiff
path: root/dev-ruby/immutable-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/immutable-ruby')
-rw-r--r--dev-ruby/immutable-ruby/Manifest1
-rw-r--r--dev-ruby/immutable-ruby/immutable-ruby-0.2.0.ebuild28
-rw-r--r--dev-ruby/immutable-ruby/metadata.xml12
3 files changed, 41 insertions, 0 deletions
diff --git a/dev-ruby/immutable-ruby/Manifest b/dev-ruby/immutable-ruby/Manifest
new file mode 100644
index 000000000000..6d1f387205c2
--- /dev/null
+++ b/dev-ruby/immutable-ruby/Manifest
@@ -0,0 +1 @@
+DIST immutable-ruby-0.2.0.tar.gz 134294 BLAKE2B dd50a191e5cf22dc80a84cea0b74f16fe635b0ef5d6f0d33e6b2c340b29b2f555a740f1260bce48f1b568019cfbd2307160acd0d88bf256cfb38017f08dbc4b2 SHA512 b98f83f4c6631018dc8215f5374ad2997e2d704fb6ef023df04f8f9df35ebe7f4db6a4a5d93404d4af276cf9c3477707f42c2dc49e1fd305c473d65115ca6689
diff --git a/dev-ruby/immutable-ruby/immutable-ruby-0.2.0.ebuild b/dev-ruby/immutable-ruby/immutable-ruby-0.2.0.ebuild
new file mode 100644
index 000000000000..612ba443c0a4
--- /dev/null
+++ b/dev-ruby/immutable-ruby/immutable-ruby-0.2.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_GEMSPEC="immutable-ruby.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Efficient, immutable, thread-safe collection classes for Ruby"
+HOMEPAGE="https://github.com/immutable-ruby/immutable-ruby"
+SRC_URI="https://github.com/immutable-ruby/immutable-ruby/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.1:1
+ dev-ruby/sorted_set:0
+"
+
+all_ruby_prepare() {
+ sed -i -e '/pry/ s:^:#:' spec/spec_helper.rb spec/lib/immutable/vector/insert_spec.rb || die
+}
diff --git a/dev-ruby/immutable-ruby/metadata.xml b/dev-ruby/immutable-ruby/metadata.xml
new file mode 100644
index 000000000000..b2a461f0abeb
--- /dev/null
+++ b/dev-ruby/immutable-ruby/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="rubygems">immutable-ruby</remote-id>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>